# chatfilter/cli.py
from profanityfilter import ProfanityFilter
from google import genai
import sys

class ChatFilter:
    def __init__(self):
        self.pf = ProfanityFilter()
        self.pf.set_censor("♡")
        self.client = genai.Client(api_key="AIzaSyB30XlgGirrDBDIPVV-1QGHqgwa9MqiGzM")
        self.chat = self.client.chats.create(model="gemini-2.0-flash")

    def get_input(self):
        return input("-> ")

    def filter_text(self, text):
        return self.pf.censor(text)

    def send_message(self, message):
        response = self.chat.send_message(message)
        # Extract the text from the first candidate's content parts
        reply_text = response.candidates[0].content.parts[0].text
        return reply_text

    def run(self):
        print("Type 'exit' to quit.")
        while True:
            user_text = self.get_input()
            if user_text.lower() == 'exit':
                print("Exiting chat...")
                sys.exit(0)
            filtered_text = self.filter_text(user_text)
            response_text = self.send_message(filtered_text)
            print(response_text)

def main():
    chat_app = ChatFilter()
    chat_app.run()

if __name__ == '__main__':
    main()
